Nagios Exchange Nagios Exchange
  • Home
  • Directory
  • Library
  • Support
  • About
  • Submit Feedback

Advanced Search

Build precise queries to find exactly what you need

Search Logic

Select compatible versions

Press ESC to close

Sign In Sign Up
  • Home
  • Directory
  • Library
  • Support
  • About
  • Submit Feedback
Plugins4413Themes and Skins13Add-ons765Graphics and Logos36View All Categories
LinuxSecuritySNMPFile SystemCloud
New Listings Recently Updated Listings Most Favored Listings Most Popular Listings Most Rated Listings Most Reviewed Listings
Random Project
Clustering and High-Availability check_riak_member_status.pl (Advanced Nagios Plugins Collection)
0.0 (0)
5.7K
RSS Feed
Newest Listings Updated Listings
Top Contributors
deskwork_itunes142 (4)John Shorey (3)Nick Overstreet (3)Chad Columbus (3)Marcin Bednarski (3)
See More
Newest Contributors
sunilka (1)davidb (1)faddom (1)SJC (2)pawal (1)
See More

Copyright © 2009-2026 Nagios Enterprises, LLC. All rights reserved.

Privacy PolicyTerms of UseTrademarks
Home > felipeferreira
f

felipeferreira

@xoroz

User Stats

Member Since: June 16, 2010

Favorites2

Views16501

Projects20

aws status page
Cloud
aws status page
This is a bash script made to work with nagios and to automaticly check Amazon AWS status based on the RSS from http://status.aws.amazon.com/
0.0 (0)
9.9K
1
felipeferreira
Check folder for stale files
File System
Check folder for stale files
This plugin object is to check if a file has been inside certain folder for a period of time and alert if so.
0.0 (0)
95.3K
0
felipeferreira
Check Windows Stale Process
Processes
Check Windows Stale Process
This is a python script using psutil library to check if a process is running for longer then X hours, if so It wil ltry…
0.0 (0)
6.8K
0
felipeferreira
GPL
check_aws.sh
Others
check_aws.sh
Get any Amazon AWS Cloud Watch metrics
0.0 (0)
41.2K
0
felipeferreira
check_con
Networking
check_con
Script to monitor the total connections in ESTABLISHED state
4.0 (1)
121.8K
0
felipeferreira
check_dir_files
File System
check_dir_files
Counts how many files are in the directory and subdirectories written in bash orginal from Gerd Stammwitz
2.5 (2)
40.1K
0
felipeferreira
check_disk_io_wait
Linux
check_disk_io_wait
Simple bash to check disk IO wait time
0.0 (0)
8K
0
felipeferreira
check_events.vba
Log Files
check_events.vba
After trying many of the available and complicated ways to check my Windows event viewer's for a specific Event, I decided to write my own…
0.0 (0)
93.8K
0
felipeferreira
GPL
check_ftp_download
FTP
check_ftp_download
Downloads a specific file via FTP and verify how long it takes.
1.0 (1)
46.7K
0
felipeferreira
check_group
Windows NRPE
check_group
Nagios plugin to Check how many users in a group check_group.vbs This script verifies if the number of users in a particular group changes.
0.0 (0)
150K
0
felipeferreira
GPL
Previous 12 Next
check_yum.pl (Advanced Nagios Plugins Collection)

missing arguments

wish I could have warning critical threshold, rewrote a simple version in bash :) #!/bin/bash # #Felipe Ferreira Jan 2017 # # First lets chceck if yum --security exists and works #MAKE SURE yum-security is installed yum --security version >/dev/null 2>&1 || { echo "I require yum-security but it's not installed. Aborting." >&2; exit 1; } #CHECK FOR ARGS if [[ $2 ]]; then WARN=$1 CRIT=$2 else echo "UNKONW - Please pass arguments, number of security patches missing it should warn or crit $0 " exit 3 fi A=$(yum -C --security check-update |grep " needed for security") C=$(echo $A|awk '{ print $1 }') if [ "$C" -gt "$CRIT" ]; then echo "CRITICAL - $A | sec=$C" exit 2 elif [ "$C" -gt "$WARN" ]; then echo "WANING - $A | sec=$C" exit 1 fi echo "OK - $A | sec=$C" exit 0

Reviewed 10 years ago

check_loadaverage

great

very nice way to auto get the number of process and setup the warning / critical threshold! my output: bash check_load.sh OK- Load Average: 0.00, 0.00, 0.00 | load1=0.00;3.2;3.6;; load5=0.00;3.2;3.6;; load15=0.00;3.2;3.6;; great work cheers

Reviewed 8 years ago

Check XenServer

NICE SCRIPT

Thank you for the plugin. I tried it worked quite well. This is how I used it: check_xenserver.py poolge65_2 check_xenserver.ini check_sr --name FREENAS02GE-NFS 90 95 check_xenserver.py poolge65_2 check_xenserver.ini check_cpu 80 95 check_xenserver.py poolge65_2 check_xenserver.ini check_mem 80 95 check_xenserver.py poolge65_2 check_xenserver.ini check_hosts check_xenserver.ini [poolge65_2] host: xenserver02 username: blublu password: blabla exclude_srs: SR1, SR2 Comments: Noticed that without exclude_srs the script breaks. Would have been nice to be able to get individual VM CPU/Memory. Think it can be done? :) thank you

Reviewed 10 years ago

check_mailstats

working centos6

it worked but comment out the part #if [ ! -r "/var/log/sendmail.st" ]; then # printf "CRITICAL - /var/log/sendmail.st #has wrong permissions, should be 644 " # exit #fi

Reviewed 10 years ago

Not available any longer 289

nice script

Just wish I knew how to add an WMIC alias otherwise its very limitted..

Reviewed 14 years ago

check_ifutil.pl

very nice

Thanks for that great script. The output is something like RX Bytes: 661GB, TX Bytes: 150GB; RX Speed: 62KBps, TX Speed: 25KBps; OK bandwidth utilization | rx=63021;1152921504606846976;3458764513820540928 tx=25090;1152921504606846976;3458764513820540928 And I could graph it too!

Reviewed 15 years ago

Check_AWS_CloudWatch_metrics

not working...

Could not use the encrypt part There is a hard code to /etc/cloutomate/cloutomate.pem what is that? I always get the error: Exception `NameError' at encrypt_credentials.rb:91 - uninitialized constant Digest::SHA256 Can you help me out?

Reviewed 13 years ago

check_cisco_status

did not work for me

Trying a Cisco switch and getting always this Agent not responding, tried SNMP v1 and v2

Reviewed 14 years ago

check_nagiostats

nice

Very cool plugin! Could add: the output should be just one line the output should have OK,WARNING,CRITICAL key words

Reviewed 16 years ago

NRDP - Nagios Remote Data Processor

great tool!

Thanks for this simple passive check solution. I will be implementing it here.

Reviewed 13 years ago

check_diskusage_by_vcenter

AMAZING!!

works great also on vSphere 6.5 Windows or Linux! This is a great plugin thank you for the work

Reviewed 7 years ago

check_ping.pl

great simple script

./check_ping.pl --host wiki --loss 10,20 --rta 50,100 --timeout 2 --packages 5 PING - Packet loss = 0%, RTA = 23.46 ms|rta=23.46 ms[ added perf info by changing this line: printf("PING - Packet loss = %i%%, RTA = %.2f ms|rta=%.2f ms", $loss, $rta, $rta); thank you

Reviewed 10 years ago

check_tping

compile error centos 6.8 x64

then mv -f ".deps/check_tping-getopt.Tpo" ".deps/check_tping-getopt.Po"; else rm -f ".deps/check_tping-getopt.Tpo"; exit 1; fi getopt.c:45:22: error: ansidecl.h: No such file or directory make[2]: *** [check_tping-getopt.o] Error 1 make[2]: Leaving directory `/usr/lib/nagios/plugins/old/check_tping-0.1.1/src' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory `/usr/lib/nagios/plugins/old/check_tping-0.1.1' make: *** [all] Error 2

Reviewed 10 years ago

check_apacherequest

Great Plugin

Simple and usefull! ./check_apachereq.pl -w 90 -c 900 OK - 1 current apache requests | 'apache requests'=1;90;900 Thanks for the good work!

Reviewed 16 years ago

check_apache2.py

Problem

I had this error: Traceback (most recent call last): File "./check_apache2.py", line 189, in ? result = transform_dict(resParse) File "./check_apache2.py", line 169, in transform_dict totalAcc = int(resParse['totalAcc'].strip(" Total Accesses:")) KeyError: 'totalAcc'

Reviewed 16 years ago

check_top_process

great idea

It was a nice idea it works allright. Had to to convert to unix format using dos2unix check_top_process.sh thanks for this script

Reviewed 14 years ago

check_dir_filecount.sh

error

Had errors running the script. I modified it for #!/bin/bash # Return codes: STATE_OK=0 STATE_WARNING=1 STATE_CRITICAL=2 STATE_UNKNOWN=3 # Arguments: DIRECTORY=$1 WARNLEVEL=$2 CRITLEVEL=$3 # Get current file count: FCOUNT=`ls -l $DIRECTORY |grep -v tot* |wc -l` #echo "Total files in $DIRECTORY is $FCOUNT" if [ $FCOUNT -lt $WARNLEVEL ]; then echo "OK, $FCOUNT items in $DIRECTORY|files=$FCOUNT" exitstatus=$STATE_OK exit $exitstatus fi if [ $FCOUNT -gt $CRITLEVEL ]; then echo "CRITICAL: $FCOUNT items in $DIRECTORY|files=$FCOUNT" exitstatus=$STATE_CRITICAL exit $exitstatus fi if [ $FCOUNT -gt $WARNLEVEL ]; then echo "WARNING: $FCOUNT items in $DIRECTORY|files=$FCOUNT" exitstatus=$STATE_WARNING exit $exitstatus fi and it works fine

Reviewed 15 years ago

Check Fileage

does not work

I get the following error: ./check_file_age.py -h File "./check_file_age.py", line 57 else: ^ SyntaxError: invalid syntax Running CentOS 6 x64 and Python 2.6.5 (r265:79063, Nov 12 2010, 00:52:45)

Reviewed 14 years ago

Service Downtime Scheduler

did not work

.sh but is binary? something is wrong...

Reviewed 14 years ago

No Favorites Found

Copyright © 2009-2026 Nagios Enterprises, LLC. All rights reserved.

Privacy PolicyTerms of UseTrademarks
Home Browse Submit Profile